Bug 308526 - KsirK keeps the right panel when a new game is started
Summary: KsirK keeps the right panel when a new game is started
Status: RESOLVED FIXED
Alias: None
Product: ksirk
Classification: Unclassified
Component: general (show other bugs)
Version: SVN
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Gaël de Chalendar (aka Kleag)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-17 02:02 UTC by André Marcelo Alvarenga
Modified: 2012-12-08 16:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.5


Attachments
Screenshot (218.34 KB, image/png)
2012-10-17 02:04 UTC, André Marcelo Alvarenga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description André Marcelo Alvarenga 2012-10-17 02:02:44 UTC
See screenshot.
When I'm playing and I start a new game, the right panel appears with information from the previous game.

Reproducible: Always

Steps to Reproduce:
1. Start a local game.
2. Select Game -> New in menu.
3. Click Yes in confirmation dialog.
4. See right panel.


Expected Results:  
No right panel.
Comment 1 André Marcelo Alvarenga 2012-10-17 02:04:27 UTC
Created attachment 74588 [details]
Screenshot
Comment 2 Albert Astals Cid 2012-12-08 16:43:23 UTC
Git commit 4b3a866315dc2c21e8d740c9c2fe5dd618873f98 by Albert Astals Cid, on behalf of Nemanja Hirsl.
Committed on 08/12/2012 at 17:42.
Pushed by aacid into branch 'KDE/4.9'.

On new game hide widgets which are not supposed to be seen.
REVIEW: 107561
FIXED-IN: 4.9.5

M  +3    -0    ksirk/kgamewin.cpp

http://commits.kde.org/ksirk/4b3a866315dc2c21e8d740c9c2fe5dd618873f98